/* variable definitions */

:root {
  --primary-color: rgb(68, 71, 235);
  --secondary-color: rgb(231, 115, 20);
  --background-left-color: rgba(42,167,247,1);
  --background-right-color: rgba(56,59,244,1);
  --logo-height: 40px;
  --logo-width: 48px;
  --h1-font-size: 21px;
  --h1-padding-top: 12px;
  --h1-padding-bottom: 6px;
  --h2-font-size: 15px;
  --menu-height: 260px;
  --header-footer-color: rgb(216, 216, 216);
  --header-footer-border-color: rgba(160, 160, 160);
  --menu-color: black;
  --text-color: #333333;
  --page-background-color: white;
  --banner-opacity: 1;
  --page-title-size: 20px;
  --page-subtitle-size: 18px;
  --main-text-size: 16px;
  --default-header-margin: 20px;
  --default-content-margin: 12px;
}

@media only screen and (min-width: 420px) and (max-width: 560px) {
  :root {
    --h1-padding-top: 16px;
    --h1-padding-bottom: 6px;
    --logo-height: 60px;
    --logo-width: 73px;
    --h1-font-size: 30px;
    --h2-font-size: 18px;
    --page-title-size: 24px;
    --page-subtitle-size: 20px;
    --main-text-size: 18px;
    --default-header-margin: 24px;
    --default-content-margin: 16px;
  }
}

@media only screen and (min-width: 561px) and (max-width: 780px) {
  :root {
    --h1-padding-top: 20px;
    --h1-padding-bottom: 6px;
    --logo-height: 80px;
    --logo-width: 97px;
    --h1-font-size: 36px;
    --h2-font-size: 22px;
    --page-title-size: 24px;
    --page-subtitle-size: 20px;
    --main-text-size: 18px;
    --default-header-margin: 24px;
    --default-content-margin: 16px;
  }
}

@media only screen and (min-width: 781px) {
  :root {
    --h1-padding-top: 26px;
    --h1-padding-bottom: 8px;
    --logo-height: 100px;
    --logo-width: 121px;
    --h1-font-size: 42px;
    --h2-font-size: 26px;
    --page-title-size: 28px;
    --page-subtitle-size: 22px;
    --main-text-size: 20px;
    --default-header-margin: 30px;
    --default-content-margin: 20px;
  }
}

@media only screen and (max-width: 1024px) {
  html {
    background: white;
  }
  html body {
    max-width: 100%;
    min-width: 320px;
    border-width: 0 0;
  }
}

@media (prefers-color-scheme: dark) {
  :root {
    --primary-color: rgb(147, 149, 253);
    --secondary-color: rgb(214, 126, 53);
    --background-left-color: rgb(18, 71, 104);
    --background-right-color: rgb(15, 16, 66);
    --header-footer-color: rgb(48, 48, 48);
    --header-footer-border-color: rgba(104, 104, 104);
    --menu-color: white;
    --text-color: #b7b7b7;
    --page-background-color: black;
    --banner-opacity: 0.6;
  }
}

/* define/reset user-agent margins */
h1, h2, h3, h4, h5, h6, section {
  margin: var(--default-header-margin) 0 var(--default-header-margin) 0;
}

ul, p {
  margin: var(--default-content-margin) 0 var(--default-content-margin) 0;
}

/* main html & body wrappers */

html {
  background: linear-gradient(125deg, var(--background-left-color) 20%, var(--background-right-color) 80%);
  min-height: 100vh;
}
  
body {
  display: flex;
  flex-direction: column;
  font-family: "Quicksand", sans-serif;
  font-weight: 400;
  font-size: 16px;
  color: var(--text-color);
  background: var(--page-background-color);
  max-width: 1016px;
  margin: auto;
  min-height: 100vh;
  border: solid;
  border-width: 0 6px;
  border-color: var(--secondary-color);
  box-shadow: 0px 0px 60px 24px rgba(0, 0, 0 ,0.4);
}

/* some general  quick styles */
.w100 {
  width: 100%;
}
.centered {
  text-align: center;
}

/* header with logo, bi-lines and navigation menu */

header {
  background: var(--header-footer-color);
  border-bottom: 1px solid var(--header-footer-border-color);
  position: relative;
}

header img {
  height: var(--logo-height);
  width: var(--logo-width);
  max-width: var(--logo-width);
  float: left;
  padding: 10px 10px 0 10px;
}

header h1 {
  overflow: hidden;
  font-weight: 300;
  font-size: var(--h1-font-size);
  color: var(--menu-color);
  letter-spacing: 2px;
  line-height: 90%;
  margin: 0 0 0 0;
  padding: var(--h1-padding-top) 0 var(--h1-padding-bottom) 0;
}
  
header h2 {
  font-weight: 400;
  font-size: var(--h2-font-size);
  color: var(--menu-color);
  letter-spacing: 0.6px;
  line-height: 200%;
  margin-top: 0;
  margin: 0 0 0 0;
  padding: 2px 0 10px 20px;
}

/* header slide-out navigation menu */

header input[type="checkbox"]:checked ~ nav {
  width: 200px;
}
header input[type="checkbox"]:checked ~ label div:nth-child(1) {
  transform: rotate(45deg) translate(8px, 8px);
  background: white;
}
header input[type="checkbox"]:checked ~ label div:nth-child(2) {
  opacity: 0;
}
header input[type="checkbox"]:checked ~ label div:nth-child(3) {
  transform: rotate(-45deg) translate(8px, -8px);
  background: white;
}

header label {
  position: absolute;
  top: 0;
  right: 8px;
  width: 30px;
  height: 30px;
  padding: 10px 10px 20px 20px;
  cursor: pointer;
  z-index: 10;
}

header label div {
  height: 3px;
  background: var(--menu-color);
  margin: 8px 0;
  transition: 0.3s;
}

header nav {
  position: absolute;
  z-index: 5;
  top: 0;
  right: 0;
  width: 0;
  overflow: hidden;
  height: var(--menu-height);
  background: var(--secondary-color);
  border-bottom-left-radius: 30px 20px;
  /* display: flex;
  flex-direction: column;
  justify-content: left;
  align-items: top; */
  transition: 0.3s;
}

header nav a {
  display: block;
  color: white;
  font-weight: 600;
  text-decoration: none;
  line-height: 50px;
  padding-left: 20px;
  font-size: 20px;
}

header nav a span {
  font-weight: 400;
  padding-left: 4px;
  font-size: 16px;
}

header nav a.current {
  text-decoration: underline;
  text-underline-offset: 8px;
  pointer-events: none;
}

header nav a:first-child {
  width: 120px;
}

header nav a div {
    width: 200px;
    overflow: hidden;
}
header nav div a:first-child {
  display: inline-block;
  width: 120px;
}

header nav div a:nth-child(2) {
  display: inline-block;
  padding-left: 0;
  width: 40px;
  height: 40px;
  font-weight: 700;
  line-height: 38px;
  background-color: white;
  color: var(--secondary-color);
  border-radius: 18px;
  text-align: center;
}

/* banner image with optional icon */

body > div {
  position: relative;
  height: 160px;
  width: 100%;
  display: flex;
}

body > div img {
  position: relative;
  height: 100px;
  margin: 30px 0 0 20px;
}
body > div img.contact {
  height: 160px;
  margin: 0 0 0 0;
}

body > div::before {
  content: "";
  background-image: url("assets/home.jpg");
  background-size: cover;
  background-position: center;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  opacity: var(--banner-opacity);
}

body > div.blog::before {
  background-image: url("assets/blog.jpg");
}

body > div.blog.sharepoint::before {
  background-image: url("assets/sharepoint.jpg");
}

/* main page contents */

main {
  flex-grow: 1;
  padding: 4px 20px 20px 20px;
  font-size: var(--main-text-size);
}

main strong {
  font-weight: 700;
  color: var(--primary-color);
}

main h3 {
  font-weight: 600;
  font-size: var(--page-title-size);
  color: var(--primary-color);
}
  
main h4 {
  margin: 0;
  font-weight: 600;
  font-size: var(--page-subtitle-size);
  color: var(--primary-color);
}

main a {
  font-weight: 500;
  color: var(--secondary-color);
  text-decoration: none;
}

main li::marker {
  color: var(--primary-color);
}

/* questionmark-list on index page */

main ul.questionmarks {
  margin: 30px 0 30px 0;
  padding: 0;
  list-style: none;
}
   
main ul.questionmarks li {
  position: relative;
  padding: 4px 4px 4px 44px;
  font-size: var(--page-subtitle-size);
  color: var(--primary-color);
}

main ul.questionmarks li::before {
  content: "?";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 30px;
  height: 30px;
  background-color: var(--secondary-color);
  border: none;
  border-radius: 50%;
  display: flex; 
  align-items: center;
  justify-content: center;
  font-size: 22px;
  font-weight: 700;
  color: var(--page-background-color);
}

/* section accordions */

section {
  border-top: 1px solid var(--header-footer-border-color);
  padding-top: 10px;
}

section label {
  display: block;
  cursor: pointer;
}

section label::before {
  content: '▾';
  color: var(--secondary-color);
  font-size: 40px;
  line-height: var(--page-title-size);
  padding-top: 2px;
  transition: transform 0.3s ease;
  float: right;
}

section h4 {
  color: var(--secondary-color);
}
  
section input[type="radio"]:checked + label::before {
  opacity: 0.3;
  transform: scaleY(-1);
}
  
section div {
  max-height: 0;
  overflow: hidden;
}
  
section input[type="radio"]:checked + label + div {
  max-height: 100%;
  margin-bottom: -20px;
}

section input[type="radio"]:checked + label > h4 {
  color: var(--primary-color);
}

.blog > div {
  padding: 8px 0 8px 0;
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: center;
}

.blog > div > div {
  width: 56px;
  min-width: 56px;
  padding: 6px 0 8px 0;
  color: var(--page-background-color);
  background-color: var(--primary-color);
  border-radius: 12px 12px 4px 4px;
}

.blog > div > div > span {
  display: block;
  text-align: center;
}

.blog > div > div > span:first-child {
  font-size: 24px;
  line-height: 24px;
}
.blog > div > div > span:nth-child(2) {
  font-size: 14px;
  line-height: 14px;
}

.blog > div > h4 {
  line-height: 110%;
  padding: 0 10px 0 20px;
  flex-grow: 1;
}

.blog > span {
  height: 22px;
  padding: 0 8px 0 8px;
  font-size: 14px;
  line-height: 22px;
  font-weight: 500;
  border-radius: 9px;
  background-color: var(--header-footer-color);
}

/* footer */

footer {
  background: var(--header-footer-color);
  border-top: 1px solid var(--header-footer-border-color);
  text-align: center;
}

footer a {
  display: inline-block;
  text-decoration: none;
  font-weight: 600;
  font-size: 16px;
  color: var(--menu-color);
  height: 50px;
  line-height: 50px;
  padding-left: 6px;
  padding-right: 6px;
}

footer a img {
  height: 24px;
  vertical-align: middle;
}
